Retrieve a document
Returns detailed information about a specific identity verification document, including its status, type, and verification results. Used to track document submission and verification progress during the business verification process.
GET https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLfwKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "pending",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "pending"
}
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var documentUrl =
"https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc";
dwolla.get(documentUrl).then((res) => res.body.type); // => "passport"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
document_url = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'
document = app_token.get(document_url)
document.body['type'] # => 'passport'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$documentUrl = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc';
$documentsApi = new DwollaSwagger\DocumentsApi($apiClient);
$document = $documentsApi->getDocument($documentUrl);
$document->type; # => "passport"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
document_url = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'
document = app_token.get document_url
document.type # => "passport"
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "reviewed",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "rejected",
"failureReason": "ScanDobMismatch",
"allFailureReasons": [
{
"reason": "ScanDobMismatch",
"description": "Scan DOB does not match DOB on account"
}
]
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
application/vnd.dwolla.v1.hal+json Path Parameters
Document unique identifier
Response
successful operation
Identity verification document for a customer or beneficial owner
Show child attributes
Show child attributes
Unique identifier for the document
"56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
Current status of the document upload
pending, reviewed "reviewed"
Type of identity document uploaded
passport, license, idCard, other "passport"
ISO-8601 timestamp when the document was uploaded
"2015-09-29T21:42:16.000Z"
Verification status of the document after review
pending, accepted, rejected "rejected"
Primary reason why document verification failed (if rejected)
"ScanDobMismatch"
Complete list of all failure reasons if document verification was rejected
Show child attributes
Show child attributes
Was this page helpful?
GET https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLfwKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "pending",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "pending"
}
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var documentUrl =
"https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc";
dwolla.get(documentUrl).then((res) => res.body.type); // => "passport"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
document_url = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'
document = app_token.get(document_url)
document.body['type'] # => 'passport'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$documentUrl = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc';
$documentsApi = new DwollaSwagger\DocumentsApi($apiClient);
$document = $documentsApi->getDocument($documentUrl);
$document->type; # => "passport"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
document_url = 'https://api-sandbox.dwolla.com/documents/56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc'
document = app_token.get document_url
document.type # => "passport"
{
"_links": {
"self": {
"href": "https://api.dwolla.com",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "resource-type"
}
},
"id": "56502f7a-fa59-4a2f-8579-0f8bc9d7b9cc",
"status": "reviewed",
"type": "passport",
"created": "2015-09-29T21:42:16.000Z",
"documentVerificationStatus": "rejected",
"failureReason": "ScanDobMismatch",
"allFailureReasons": [
{
"reason": "ScanDobMismatch",
"description": "Scan DOB does not match DOB on account"
}
]
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}